Subject: bug#33161: closed (Re: [bug#33161] [PATCH 0/1] Add 'guix processes')

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 28 Oct 2018 23:16:01 +0000

Your bug report

#33161: [PATCH 0/1] Add 'guix processes'

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33161: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33161
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#33161] [PATCH 0/1] Add 'guix processes'
From: [email-masked] (Ludovic Courtès)
To: [email-masked]
Date: Mon, 29 Oct 2018 00:15:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> skribis:

> This patch adds a ‘guix processes’ command that I find handy to
> inspect/debug Guix activity.  In particular, I realized I had been
> doing this by hand on berlin when trying to understand what’s going
> on, so this tool will be helpful there.  :-)

Pushed as 63eb2b899be7ac857454442e09d0ebd23fe4f871 with small
improvements to the doc!

Ludo’.

Subject: [PATCH 0/1] Add 'guix processes'
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Fri, 26 Oct 2018 11:25:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix!

This patch adds a ‘guix processes’ command that I find handy to
inspect/debug Guix activity.  In particular, I realized I had been
doing this by hand on berlin when trying to understand what’s going
on, so this tool will be helpful there.  :-)

Note that it’s low-tech: it works by browsing the processes in /proc
and extracting the relevant info from there.

Thoughts?

Ludo’.

Ludovic Courtès (1):
  Add 'guix processes'.

 Makefile.am                |   2 +
 doc/guix.texi              |  56 ++++++++++
 guix/scripts/processes.scm | 223 +++++++++++++++++++++++++++++++++++++
 po/guix/POTFILES.in        |   1 +
 tests/processes.scm        |  86 ++++++++++++++
 5 files changed, 368 insertions(+)
 create mode 100644 guix/scripts/processes.scm
 create mode 100644 tests/processes.scm

-- 
2.19.1